Subject: Re: bug#27467: Xfce broken, because it propagates two different versions of gtk+

From: [email-masked] (Ludovic Courtès)
Date: Sat, 24 Jun 2017 23:53:48 +0200

Mark H Weaver <[email-masked]> skribis:

> I just tried to update my GuixSD system to commit
> c57b56722f6c167c5a285f47802047de85a356ae on master.  "guix system build"
> failed with the following error:
>
> guix system: error: profile contains conflicting entries for gtk+:out
> guix system: error:   first entry: [email-masked]:out /gnu/store/901ify6fr2zlr2y2acpvlqr8lygmwj98-gtk+-2.24.31
> guix system: error:    ... propagated from [email-masked]
> guix system: error:    ... propagated from [email-masked]
> guix system: error:   second entry: [email-masked]:out /gnu/store/fhqaljm8cf78irhqjbrm8n0ri1k2cznm-gtk+-3.22.15
> guix system: error:    ... propagated from [email-masked]
> guix system: error:    ... propagated from [email-masked]
> guix system: error:    ... propagated from [email-masked]

I just tried and Exo builds fine with GTK+3, so I would think this
reference to GTK+2 was a mistake.  Can you check if it works fine for
you with this change?

Thanks,
Ludo’.